Subject: Re: [MPC5200] problem running FEC and ATA

From: Juergen Beisert <[email-masked]>
Date: Tue, 18 Dec 2007 11:41:02 +0100

On Sunday 16 December 2007 18:28, Arnon Kaufman wrote:
> Robert Schwebel wrote:
>> On Sun, Dec 16, 2007 at 03:24:34PM +0200, Arnon Kaufman wrote:
>>> does any one succeed running a functional FEC and ATA (pata) running
>>> together?
>>
>> Yes, we do, on the phyCORE-MPC5200B-tiny; you can check our patches here:
>> http://www.pengutronix.de/oselas/bsp/phytec/download/phyCORE-MPC5200B-tiny/
>
> thanks, my kernels are already patched and still observing that kind of
> behavior. I'm using Domen's new FEC code and ATA from 2.6.24-rc2.

I tried our kernel (see link above) with an external harddisk and NFS. I 
copied various files from the harddisk to NFS root and vice versa. No data 
corruption.

Can you check our patch stack on your hardware?

Juergen
-- 
Dipl.-Ing. Juergen Beisert | http://www.pengutronix.de
 Pengutronix - Linux Solutions for Science and Industry
    Handelsregister: Amtsgericht Hildesheim, HRA 2686
         Vertretung Sued/Muenchen, Germany
   Phone: +49-8766-939 228 |  Fax: +49-5121-206917-9